#
# spec file for package xf86-video-ati
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define xserver_glamor 1

Name:           xf86-video-ati
Version:        7.7.1
Release:        0
Summary:        ATI video driver for the Xorg X server
License:        MIT
Group:          System/X11/Servers/XF86_4
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.bz2
Source1:        http://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.bz2.sig
Source2:        %{name}.keyring
Patch1:         U_01-dri3-Return-NULL-from-radeon_dri3_pixmap_from_fd-if-calloc-fails.patch
Patch2:         U_02-Add-support-for-async-flips-to-radeon_do_pageflip.patch
Patch3:         U_03-present-Support-async-flips.patch
Patch4:         U_04-Enable-DRI3-by-default-when-building-for-Xorg-1.18.3.patch
Patch5:         U_05-EXA-6xx-7xx-fast-solid-pixmap-support.patch
Patch6:         U_06-EXA-6xx-7xx-accelerate-PictOpOver-with-component-alpha.patch
Patch7:         U_07-Adapt-to-XF86_CRTC_VERSION-7.patch
Patch8:         U_08-Add-explicit-RADEON_DRM_QUEUE_ERROR-define.patch
Patch9:         U_09-Don-t-enable-DRI3-by-default-with-EXA.patch
Patch10:        U_10-Use-EventCallback-to-avoid-flushing-every-time-in-the-FlushCallback.patch
Patch11:        U_11-Keep-track-of-damage-event-related-flushes-per-client-v2.patch
Patch12:        U_12-Use-drmmode_crtc_scanout_-helpers-for-RandR-1.4-scanout-pixmaps.patch
Patch13:        U_13-Handle-RandR-1.4-slave-dirty-updates-via-radeon_drm_queue.patch
Patch14:        U_14-Track-damage-accurately-for-RandR-1.4-slave-scanout.patch
Patch15:        U_15-Fix-build-against-xserver-1.13.patch
Patch16:        U_16-Only-copy-from-screen-pixmap-to-shared-pixmap-on-demand-for-slave-scanout.patch
Patch17:        U_17-Factor-out-transform_region-helper.patch
Patch18:        U_18-Move-up-radeon_scanout_extents_intersect.patch
Patch19:        U_19-Synchronize-scanout-pixmaps-for-TearFree.patch
Patch20:        U_20-Make-TearFree-effective-with-PRIME-slave-scanout.patch
Patch21:        U_21-Refactor-radeon_mode_hotplug.patch
Patch22:        U_22-Use-pRADEONEnt-to-find-both-screens-of-a-GPU-in-radeon_mode_hotplug.patch

BuildRequires:  Mesa-devel
BuildRequires:  autoconf >= 2.60
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fontsproto)
# Libdrm 2.4.36 needed for kms
BuildRequires:  pkgconfig(libdrm) >= 2.4.58
# Glamor is new and we want that now
%if !%xserver_glamor
BuildRequires:  pkgconfig(glamor) >= 0.3.1
%endif
BuildRequires:  pkgconfig(libdrm_radeon) >= 2.4.58
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(pciaccess) >= 0.8.0
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xf86driproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xorg-server) >= 1.15
BuildRequires:  pkgconfig(xproto)
# This was part of the xorg-x11-driver-video package up to version 7.6
Conflicts:      xorg-x11-driver-video <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
Supplements:    modalias(xorg-x11-server:pci:v00001002d*sv*sd*bc03sc*i*)

%x11_abi_videodrv_req

%description
ati is an Xorg driver for ATI/AMD video cards.

It autodetects whether your hardware has a Radeon, Rage 128, or Mach64
or earlier class of chipset, and loads the radeon, r128, or mach64
driver as appropriate.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1

%build
autoreconf -fiv
%configure \
  --enable-glamor
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%files
%defattr(-,root,root)
%doc COPYING README
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/ati_drv.so
%{_libdir}/xorg/modules/drivers/radeon_drv.so
%{_datadir}/man/man4/ati.4%{?ext_man}
%{_datadir}/man/man4/radeon.4%{?ext_man}

%changelog
